Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2015-2301

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2015-2301
Last Modified 09 Oct 2015 10:00:34
Published 30 Mar 2015 06:59:10
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2015-2301

Summary

Use-after-free vulnerability in the phar_rename_archive function in phar_object.c in PHP before 5.5.22 and 5.6.x before 5.6.6 allows remote attackers to cause a denial of service or possibly have unspecified other impact via vectors that trigger an attempted renaming of a Phar archive to the name of an existing file.

Vulnerable Systems

Operating System

  • Canonical Ubuntu Linux 10.04

  • Canonical Ubuntu Linux 12.04

  • Canonical Ubuntu Linux 14.04

  • Canonical Ubuntu Linux 14.10

  • Debian Linux 7.0

  • Novell Opensuse 13.1

  • Novell Opensuse 13.2

Application

  • Php 5.4.39

  • Php 5.5.0

  • Php 5.5.1

  • Php 5.5.10

  • Php 5.5.11

  • Php 5.5.12

  • Php 5.5.13

  • Php 5.5.14

  • Php 5.5.15

  • Php 5.5.16

  • Php 5.5.17

  • Php 5.5.18

  • Php 5.5.19

  • Php 5.5.2

  • Php 5.5.20

  • Php 5.5.21

  • Php 5.5.3

  • Php 5.5.4

  • Php 5.5.5

  • Php 5.5.6

  • Php 5.5.7

  • Php 5.5.8

  • Php 5.5.9

  • Php 5.6.0

  • Php 5.6.1

  • Php 5.6.2

  • Php 5.6.3

  • Php 5.6.4

  • Php 5.6.5


References

CONFIRM - https://bugzilla.redhat.com/show_bug.cgi?id=1194747

CONFIRM - https://bugs.php.net/bug.php?id=68901

CONFIRM - http://php.net/ChangeLog-5.php

MLIST - [oss-security] 20150315 Re: CVE Request: PHP 5.6.6 changelog

CONFIRM - http://git.php.net/?p=php-src.git;a=commit;h=b2cf3f064b8f5efef89bb084521b61318c71781b

UBUNTU - USN-2535-1

DEBIAN - DSA-3198

SUSE - openSUSE-SU-2015:0644

SECTRACK - 1031949

MANDRIVA - MDVSA-2015:079

CONFIRM - https://support.apple.com/HT205267

APPLE - APPLE-SA-2015-09-30-3


Last Updated: 27 May 2016 11:08:20